com.thinkaurelius.titan.graphdb.database.management

## Enum ModifierType

- java.lang.Object
- - java.lang.Enum<ModifierType>
  - - com.thinkaurelius.titan.graphdb.database.management.ModifierType

- All Implemented Interfaces:
    Serializable, Comparable<ModifierType>

      public enum ModifierType
      extends Enum<ModifierType>

  Author:
    Joshua Shinavier (http://fortytwo.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONSISTENCY`
    `TTL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeDefinitionCategory` | `getCategory()`
    `static ModifierType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ModifierType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONSISTENCY

          public static final ModifierType CONSISTENCY

    - #### TTL

          public static final ModifierType TTL

  - ### Method Detail

    - #### values

          public static ModifierType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ModifierType c : ModifierType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ModifierType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCategory

          public TypeDefinitionCategory getCategory()

Copyright © 2012–2014. All rights reserved.